Skip to main content
POST
/
calendars
/
{calendarId}
/
notifications
Create notification
curl --request POST \
  --url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
[
  {
    "receiverType": "contact",
    "channel": "email",
    "notificationType": "booked",
    "isActive": true,
    "templateId": "<string>",
    "body": "<string>",
    "subject": "<string>",
    "afterTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "beforeTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "additionalEmailIds": [
      "example1@email.com",
      "example2@email.com"
    ],
    "additionalPhoneNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "selectedUsers": [
      "userId1",
      "userId2",
      "sub_account_admin"
    ],
    "fromAddress": "<string>",
    "fromName": "<string>",
    "fromNumber": "<string>"
  }
]
'
[
  {
    "_id": "<string>",
    "receiverType": "contact",
    "additionalEmailIds": [
      "example1@email.com",
      "example2@email.com"
    ],
    "additionalPhoneNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "channel": "email",
    "notificationType": "confirmation",
    "isActive": true,
    "additionalWhatsappNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "templateId": "0as9d8as0d",
    "body": "This is a test notification",
    "subject": "Test Notification",
    "afterTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "beforeTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "selectedUsers": [
      "user1",
      "user2"
    ],
    "deleted": false
  }
]

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

calendarId
string
required

Body

application/json
receiverType
enum<string>
required

notification recipient type

Available options:
contact,
guest,
assignedUser,
emails,
phoneNumbers,
business
channel
enum<string>
required

Notification channel

Available options:
email,
inApp,
sms,
whatsapp
notificationType
enum<string>
required

Notification type

Available options:
booked,
confirmation,
cancellation,
reminder,
followup,
reschedule
isActive
boolean
default:true

Is the notification active

templateId
string

Template ID for email notification. Not necessary for in-App notification

body
string

Body for email notification. Not necessary for in-App notification

subject
string

Subject for email notification. Not necessary for in-App notification

afterTime
object[]

Specifies the time after which the follow-up notification should be sent. This is not required for other notification types.

Example:
[{ "timeOffset": 1, "unit": "hours" }]
beforeTime
object[]

Specifies the time before which the reminder notification should be sent. This is not required for other notification types.

Example:
[{ "timeOffset": 1, "unit": "hours" }]
additionalEmailIds
string[]

Additional email addresses to receive notifications.

Example:
["example1@email.com", "example2@email.com"]
additionalPhoneNumbers
string[]

Additional phone numbers to receive notifications.

Example:
["+919876744444", "+919876744445"]
selectedUsers
string[]

Selected users for in-App and business email notifications. Supports user IDs and special keyword "sub_account_admin"

Example:
["userId1", "userId2", "sub_account_admin"]
fromAddress
string

from address for email notification

fromName
string

from name for email/sms notification

fromNumber
string

from number for sms notification

Response

Successful response

_id
string

Notification ID

receiverType
enum<string>
Available options:
contact,
guest,
assignedUser,
emails,
phoneNumbers,
business
Example:

"contact"

additionalEmailIds
string[]
Example:
["example1@email.com", "example2@email.com"]
additionalPhoneNumbers
string[]
Example:
["+919876744444", "+919876744445"]
channel
enum<string>
Available options:
email,
inApp,
sms,
whatsapp
Example:

"email"

notificationType
enum<string>
Available options:
booked,
confirmation,
cancellation,
reminder,
followup,
reschedule
Example:

"confirmation"

isActive
boolean
Example:

true

additionalWhatsappNumbers
string[]
Example:
["+919876744444", "+919876744445"]
templateId
string
Example:

"0as9d8as0d"

body
string
Example:

"This is a test notification"

subject
string
Example:

"Test Notification"

afterTime
object[]
Example:
[{ "timeOffset": 1, "unit": "hours" }]
beforeTime
object[]
Example:
[{ "timeOffset": 1, "unit": "hours" }]
selectedUsers
string[]
Example:
["user1", "user2"]
deleted
boolean
Example:

false

Last modified on March 4, 2026